

#! /bin/bash
#$ -S /bin/bash                                                                                                                                                                   
sample_file="./sample_ids"

readdir="./dot_read/" # directory read data 

cpgdir="./CpGs/" # directory with CpG files

read2cpgdir="./read2cpg_data/"    # output directory where the tables with counts of read start positions will be written

duplreadsdir="./duplreads/"  # output direcotory where the reads that were QC'ed out will be written
    
n_chrom=2         # number of chromosomes                                                                                                                                           
multi_read="yes"  # include multi reads (yes/no)                                                                                                                                                                 
dupl_hardthres=1  # hard threshold: duplicate reads with counts higher than this will be eliminated                                                                                                                                                                
dupl_softthres=1  # soft threshold: for duplicate reads with counts higher than we will look in the neighboring to see if other read are aligning there                                                                                                                                                                
dupl_neigh=25     # we will look +/- duplicate_neigh for other reads                                                                                                                                                                
range=350         #  this is the value d to define the [C-d,C+d] interval: not we we cannot set default

program="read2cpg.exe"
g++ ./read2cpg.cpp -o read2cpg.exe


while read arg

do

  echo "#! /bin/bash"    >  ./$program.sh
  echo "#$ -S /bin/bash" >> ./$program.sh
  echo "#$ -cwd"         >> ./$program.sh

  echo "./$program $arg $readdir $cpgdir $read2cpgdir $duplreadsdir $n_chrom $multi_read $dupl_hardthres $dupl_softthres $dupl_neigh $range" >>  ./$program.sh


  echo " Output file"  > ./log/$arg"_"$program.o
  echo " Error file"   > ./log/$arg"_"$program.e
  qsub  -N $program  -o  ./log/$arg"_"$program.o -e ./log/$arg"_"$program.e ./$program.sh

done < $sample_file


r_script="main_est_covfunction.r"

  echo "#! /bin/bash"         >  ./$r_script.sh
  echo "#$ -S /bin/bash"      >> ./$r_script.sh
  echo "#$ -cwd"              >> ./$r_script.sh

  echo "/usr/global/R-2.13.1/bin/./R CMD BATCH '--args dupl_hardthres=$dupl_hardthres dupl_softthres=$dupl_softthres dupl_neigh=$dupl_neigh'  ./$r_script ./log/$r_script.Rout" >>  .\
/$r_script.sh

  qsub -hold_jid $program -N $r_script -o ./log/$r_script.o -e ./log/$r_script.e ./$r_script.sh

